commit:     1309e948803eac8ff66bc95fba773522039de859
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  3 21:21:54 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun  3 21:21:54 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1309e948

media-video/v4l2loopback: add 0.15.0

Closes: https://bugs.gentoo.org/931903
Closes: https://bugs.gentoo.org/934051
Closes: https://bugs.gentoo.org/956713
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-video/v4l2loopback/Manifest                  |  1 +
 .../v4l2loopback/v4l2loopback-0.15.0.ebuild        | 59 ++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/media-video/v4l2loopback/Manifest 
b/media-video/v4l2loopback/Manifest
index 65edb74303e9..6a844f466b6f 100644
--- a/media-video/v4l2loopback/Manifest
+++ b/media-video/v4l2loopback/Manifest
@@ -1 +1,2 @@
 DIST v4l2loopback-0.13.1.tar.gz 84323 BLAKE2B 
ad84826791763107c29ecc79435eb5e6d5bd1c18a18cfeabebaffd2c6f00a17564e8cb2773c35aba40cc181d06a21b2aafc86910b1d160adee98c015497cda7f
 SHA512 
28b8c90f1e5fe48d19f41dbc188bf383ce8a6db33707ef161b55cae3217704a7e45e91a782bc3bf08db338f8ba0f045afd52899026be7e2e9bfeb6799a876628
+DIST v4l2loopback-0.15.0.tar.gz 89257 BLAKE2B 
aa8d7820b239d2cc8c82b3285c78dee623d0f328ddca423783d00308f82a008c5e82151cacaa3ede884fc493d9bfeb549f052f8a361ed0d489ec4fb2976d81ca
 SHA512 
a8834b38a63efbee6ae55844544264561a11c4c8f7b4248e401c5591630afcecbb205a8502f5e059bd025c3e02926af3fe37a2ba075e20fea26273ede680fd34

diff --git a/media-video/v4l2loopback/v4l2loopback-0.15.0.ebuild 
b/media-video/v4l2loopback/v4l2loopback-0.15.0.ebuild
new file mode 100644
index 000000000000..a679dad12142
--- /dev/null
+++ b/media-video/v4l2loopback/v4l2loopback-0.15.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-mod-r1 toolchain-funcs
+
+case ${PV} in
+9999)
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/umlaeute/v4l2loopback.git";
+       ;;
+*)
+       KEYWORDS="~amd64 ~x86"
+       SRC_URI="https://github.com/umlaeute/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       ;;
+esac
+
+DESCRIPTION="v4l2 loopback device whose output is its own input"
+HOMEPAGE="https://github.com/umlaeute/v4l2loopback";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="examples"
+
+CONFIG_CHECK="VIDEO_DEV"
+
+pkg_setup() {
+       linux-mod-r1_pkg_setup
+       export KERNELRELEASE=${KV_FULL}
+}
+
+src_prepare() {
+       default
+       sed -i -e 's/gcc /$(CC) /' examples/Makefile || die
+}
+
+src_compile() {
+       local modlist=(
+               v4l2loopback=video:::all
+       )
+
+       linux-mod-r1_src_compile
+       if use examples; then
+               emake CC="$(tc-getCC)" -C examples
+       fi
+}
+
+src_install() {
+       linux-mod-r1_src_install
+       dosbin utils/v4l2loopback-ctl
+       dodoc doc/kernel_debugging.txt
+       dodoc doc/docs.txt
+       if use examples; then
+               dosbin examples/yuv4mpeg_to_v4l2
+               docinto examples
+               dodoc examples/{*.sh,*.c,Makefile}
+       fi
+}

Reply via email to